<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.worldline.android.twitterwall" >

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.VIBRATE" />

    <application
        android:name=".WLTwitterApplication"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:theme="@style/AppTheme" >
        <activity
            android:name=".WLTwitterActivity"
            android:label="@string/app_name"

            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name=".WLTwitterLoginActivity"
            android:label="@string/app_name" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <!-- The content provider to manage Tweets in database -->
        <provider
            android:name=".providers.WLTwitterDatabaseProvider"
            android:authorities="com.worldline.android.twitterwall.TweetAuthority"
            android:exported="false" />

        <!-- The service -->
        <service
            android:name=".services.TweetService"
            android:exported="true"
            android:icon="@mipmap/ic_launcher"
            android:label="@string/service_name" >
        </service>
    </application>

</manifest>